<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XWPFAbstractFootnotesEndnotes (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XWPFAbstractFootnotesEndnotes (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XWPFAbstractFootnotesEndnotes.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractNum.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xwpf/usermodel/XWPFAbstractFootnotesEndnotes.html"
               target="_top">Frames</a></li>
        <li><a href="XWPFAbstractFootnotesEndnotes.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">Nested</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xwpf.usermodel</div>
    <h2 title="Class XWPFAbstractFootnotesEndnotes" class="title">Class XWPFAbstractFootnotesEndnotes</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                       title="class in org.apache.poi.ooxml">org.apache.poi.ooxml.POIXMLDocumentPart</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.xwpf.usermodel.XWPFAbstractFootnotesEndnotes</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFEndnotes.html"
                           title="class in org.apache.poi.xwpf.usermodel">XWPFEndnotes</a>, <a
                            href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFootnotes.html"
                            title="class in org.apache.poi.xwpf.usermodel">XWPFFootnotes</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public abstract class <span class="typeNameLabel">XWPFAbstractFootnotesEndnotes</span>
extends <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html" title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></pre>
                <div class="block">Base class for the Footnotes and Endnotes part implementations.</div>
                <dl>
                    <dt><span class="simpleTagLabel">Since:</span></dt>
                    <dd>4.0.0</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from class&nbsp;org.apache.poi.ooxml.<a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                        title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></h3>
                                <code><a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.RelationPart.html"
                                         title="class in org.apache.poi.ooxml">POIXMLDocumentPart.RelationPart</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFDocument.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFDocument</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnotesEndnotes.html#document">document</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFAbstractFootnoteEndnote</a>&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnotesEndnotes.html#listFootnote">listFootnote</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnotesEndnotes.html#XWPFAbstractFootnotesEndnotes--">XWPFAbstractFootnotesEndnotes</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnotesEndnotes.html#XWPFAbstractFootnotesEndnotes-org.apache.poi.openxml4j.opc.OPCPackage-">XWPFAbstractFootnotesEndnotes</a></span>(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                        title="class in org.apache.poi.openxml4j.opc">OPCPackage</a>&nbsp;pkg)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnotesEndnotes.html#XWPFAbstractFootnotesEndnotes-org.apache.poi.openxml4j.opc.OPCPackage-java.lang.String-">XWPFAbstractFootnotesEndnotes</a></span>(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                        title="class in org.apache.poi.openxml4j.opc">OPCPackage</a>&nbsp;pkg,
                                    java.lang.String&nbsp;coreDocumentRel)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnotesEndnotes.html#XWPFAbstractFootnotesEndnotes-org.apache.poi.openxml4j.opc.PackagePart-">XWPFAbstractFootnotesEndnotes</a></span>(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;part)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnotesEndnotes.html#XWPFAbstractFootnotesEndnotes-org.apache.poi.ooxml.POIXMLDocumentPart-org.apache.poi.openxml4j.opc.PackagePart-">XWPFAbstractFootnotesEndnotes</a></span>(<a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                        title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a>&nbsp;parent,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                       title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;part)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFAbstractFootnoteEndnote</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnotesEndnotes.html#getFootnoteById-int-">getFootnoteById</a></span>(int&nbsp;id)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/FootnoteEndnoteIdManager.html"
                                        title="class in org.apache.poi.xwpf.usermodel">FootnoteEndnoteIdManager</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnotesEndnotes.html#getIdManager--">getIdManager</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFDocument.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFDocument</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnotesEndnotes.html#getXWPFDocument--">getXWPFDocument</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnotesEndnotes.html#setIdManager-org.apache.poi.xwpf.usermodel.FootnoteEndnoteIdManager-">setIdManager</a></span>(<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/FootnoteEndnoteIdManager.html"
                                        title="class in org.apache.poi.xwpf.usermodel">FootnoteEndnoteIdManager</a>&nbsp;footnoteIdManager)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnotesEndnotes.html#setXWPFDocument-org.apache.poi.xwpf.usermodel.XWPFDocument-">setXWPFDocument</a></span>(<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFDocument.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFDocument</a>&nbsp;doc)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.ooxml.<a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                        title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#Z:Z_invokeOnDocumentRead-org.apache.poi.ooxml.POIXMLDocumentPart-">_invokeOnDocumentRead</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#addRelation-java.lang.String-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLDocumentPart-">addRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#commit--">commit</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#createRelationship-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-">createRelationship</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#createRelationship-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-int-">createRelationship</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#createRelationship-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-int-boolean-">createRelationship</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getNextPartNumber-org.apache.poi.ooxml.POIXMLRelation-int-">getNextPartNumber</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getPackagePart--">getPackagePart</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationById-java.lang.String-">getRelationById</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationId-org.apache.poi.ooxml.POIXMLDocumentPart-">getRelationId</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationPartById-java.lang.String-">getRelationPartById</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationParts--">getRelationParts</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelations--">getRelations</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getTargetPart-org.apache.poi.openxml4j.opc.PackageRelationship-">getTargetPart</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#isCommited--">isCommited</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onDocumentCreate--">onDocumentCreate</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onDocumentRead--">onDocumentRead</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onDocumentRemove--">onDocumentRemove</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onSave-java.util.Set-">onSave</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#prepareForCommit--">prepareForCommit</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#read-org.apache.poi.ooxml.POIXMLFactory-java.util.Map-">read</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#rebase-org.apache.poi.openxml4j.opc.OPCPackage-">rebase</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#removeRelation-org.apache.poi.ooxml.POIXMLDocumentPart-">removeRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#removeRelation-org.apache.poi.ooxml.POIXMLDocumentPart-boolean-">removeRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#removeRelation-java.lang.String-">removeRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#setCommited-boolean-">setCommited</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#toString--">toString</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait,
                                    wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="document">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>document</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFDocument.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFDocument</a> document</pre>
                            </li>
                        </ul>
                        <a name="listFootnote">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>listFootnote</h4>
                                <pre>protected&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFAbstractFootnoteEndnote</a>&gt; listFootnote</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XWPFAbstractFootnotesEndnotes-org.apache.poi.openxml4j.opc.OPCPackage-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XWPFAbstractFootnotesEndnotes</h4>
                                <pre>public&nbsp;XWPFAbstractFootnotesEndnotes(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                        title="class in org.apache.poi.openxml4j.opc">OPCPackage</a>&nbsp;pkg)</pre>
                            </li>
                        </ul>
                        <a name="XWPFAbstractFootnotesEndnotes-org.apache.poi.openxml4j.opc.OPCPackage-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XWPFAbstractFootnotesEndnotes</h4>
                                <pre>public&nbsp;XWPFAbstractFootnotesEndnotes(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                        title="class in org.apache.poi.openxml4j.opc">OPCPackage</a>&nbsp;pkg,
                                     java.lang.String&nbsp;coreDocumentRel)</pre>
                            </li>
                        </ul>
                        <a name="XWPFAbstractFootnotesEndnotes--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XWPFAbstractFootnotesEndnotes</h4>
                                <pre>public&nbsp;XWPFAbstractFootnotesEndnotes()</pre>
                            </li>
                        </ul>
                        <a name="XWPFAbstractFootnotesEndnotes-org.apache.poi.openxml4j.opc.PackagePart-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XWPFAbstractFootnotesEndnotes</h4>
                                <pre>public&nbsp;XWPFAbstractFootnotesEndnotes(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;part)</pre>
                            </li>
                        </ul>
                        <a name="XWPFAbstractFootnotesEndnotes-org.apache.poi.ooxml.POIXMLDocumentPart-org.apache.poi.openxml4j.opc.PackagePart-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XWPFAbstractFootnotesEndnotes</h4>
                                <pre>public&nbsp;XWPFAbstractFootnotesEndnotes(<a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                        title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a>&nbsp;parent,
                                     <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;part)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getFootnoteById-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFootnoteById</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFAbstractFootnoteEndnote</a>&nbsp;getFootnoteById(int&nbsp;id)</pre>
                            </li>
                        </ul>
                        <a name="getXWPFDocument--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getXWPFDocument</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFDocument.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFDocument</a>&nbsp;getXWPFDocument()</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/xwpf/usermodel/IBody.html#getPart--"><code>IBody.getPart()</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setXWPFDocument-org.apache.poi.xwpf.usermodel.XWPFDocument-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setXWPFDocument</h4>
                                <pre>public&nbsp;void&nbsp;setXWPFDocument(<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFDocument.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFDocument</a>&nbsp;doc)</pre>
                            </li>
                        </ul>
                        <a name="setIdManager-org.apache.poi.xwpf.usermodel.FootnoteEndnoteIdManager-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setIdManager</h4>
                                <pre>public&nbsp;void&nbsp;setIdManager(<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/FootnoteEndnoteIdManager.html"
                                        title="class in org.apache.poi.xwpf.usermodel">FootnoteEndnoteIdManager</a>&nbsp;footnoteIdManager)</pre>
                            </li>
                        </ul>
                        <a name="getIdManager--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getIdManager</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/FootnoteEndnoteIdManager.html"
                                        title="class in org.apache.poi.xwpf.usermodel">FootnoteEndnoteIdManager</a>&nbsp;getIdManager()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XWPFAbstractFootnotesEndnotes.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractFootnoteEndnote.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFAbstractNum.html"
               title="class in org.apache.poi.xwpf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xwpf/usermodel/XWPFAbstractFootnotesEndnotes.html"
               target="_top">Frames</a></li>
        <li><a href="XWPFAbstractFootnotesEndnotes.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">Nested</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
